Subject: Re: FAQ or bash bug with ntsec? (WAS: Help request: bash with PAT H problems)
From: Robert Collins <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: 30 Jul 2002 21:51:13 +1000

On Tue, 2002-07-30 at 21:37, Jason Tishler wrote:
> On Tue, Jul 30, 2002 at 12:51:00PM +0200, Corinna Vinschen wrote:
> > What I don't understand, though, is, why the permissions are set to
> > that value by setup.exe.  I thought it should give explicitely full
> > permissions to world.  At least I recall that I added some code to
> > setup.exe setting the security descriptor.  Is it not used in setup
> > anymore???
> 
> Someone on the pgsql-cygwin list had the same problem with postgres.exe.
> After helping him, I ask him to determine why the permissions were only
> set to "-rwx------".  Unfortunately, he never reported back.  Could it
> be that users are setting "Install For" to "Just Me"?

WAG time. NTFS with windows 2000 or XP and an inherited ACL that
interferes.

Rob